// nuxt.config.ts
import colors from 'tailwindcss/colors';
export default defineNuxtConfig({
    runtimeConfig: {
        public: {
            API_BASE_URL: process.env.API_BASE_URL,
        },
    },
    app: {
        head: {
            title: 'WeatherApp',
        },
    },
    ssr: false,
    devtools: {
        enabled: false,
        timeline: {
            enabled: false,
        },
    },
    pages: true,
    modules: ['@nuxt/ui', '@nuxtjs/tailwindcss', 'nuxt-icon'],
    postcss: {
        plugins: {
            tailwindcss: {},
            autoprefixer: {},
        },
    },
});
